Debian Bug report logs - #667282
mklibs: ftbfs with GCC-4.7

version graph

Package: mklibs; Maintainer for mklibs is Debian Install System Team <debian-boot@lists.debian.org>; Source for mklibs is src:mklibs.

Reported by: Matthias Klose <doko@debian.org>

Date: Tue, 3 Apr 2012 23:22:57 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version mklibs/0.1.33

Fixed in version mklibs/0.1.34

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian Install System Team <debian-boot@lists.debian.org>:
Bug#667282; Package mklibs. (Tue, 03 Apr 2012 23:22:59 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 03 Apr 2012 23:23:01 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: maintonly@bugs.debian.org
Subject: mklibs: ftbfs with GCC-4.7
Date: Tue, 03 Apr 2012 23:10:54 +0000
Package: mklibs
Version: 0.1.33
Severity: important
Tags: sid wheezy
User: debian-gcc@lists.debian.org
Usertags: ftbfs-gcc-4.7

The package fails to build in a test rebuild on at least amd64 with
gcc-4.7/g++-4.7, but succeeds to build with gcc-4.6/g++-4.6. The
severity of this report may be raised before the wheezy release.

../../../src/mklibs-readelf/elf.cpp:68:5: error: '::close' has not been declared

The full build log can be found at:
http://people.debian.org/~lucas/logs/2012/03/29-clang-gcc47/unstable-gcc47/mklibs_0.1.33_unstable-gcc47.log
The last lines of the build log are at the end of this report.

Some hints on fixing these issues can be found at
http://gcc.gnu.org/gcc-4.7/porting_to.html

To build with GCC 4.7, either set CC=gcc-4.7 CXX=g++-4.7 explicitly,
or install the gcc, g++, gfortran, ... packages from experimental.

[...]
Making all in utils
make[5]: Entering directory `/«PKGBUILDDIR»/build-deb/lib/mklibs/utils'
make[5]: Nothing to be done for `all'.
make[5]: Leaving directory `/«PKGBUILDDIR»/build-deb/lib/mklibs/utils'
make[5]: Entering directory `/«PKGBUILDDIR»/build-deb/lib/mklibs'
make[5]: Nothing to be done for `all-am'.
make[5]: Leaving directory `/«PKGBUILDDIR»/build-deb/lib/mklibs'
make[4]: Leaving directory `/«PKGBUILDDIR»/build-deb/lib/mklibs'
make[4]: Entering directory `/«PKGBUILDDIR»/build-deb/lib'
make[4]: Nothing to be done for `all-am'.
make[4]: Leaving directory `/«PKGBUILDDIR»/build-deb/lib'
make[3]: Leaving directory `/«PKGBUILDDIR»/build-deb/lib'
Making all in src
make[3]: Entering directory `/«PKGBUILDDIR»/build-deb/src'
Making all in mklibs-readelf
make[4]: Entering directory `/«PKGBUILDDIR»/build-deb/src/mklibs-readelf'
g++ -DHAVE_CONFIG_H -I. -I../../../src/mklibs-readelf -I../..     -g -O2 -c -o elf.o ../../../src/mklibs-readelf/elf.cpp
../../../src/mklibs-readelf/elf.cpp: In static member function 'static Elf::file* Elf::file::open(const char*)':
../../../src/mklibs-readelf/elf.cpp:68:5: error: '::close' has not been declared
make[4]: *** [elf.o] Error 1
make[4]: Leaving directory `/«PKGBUILDDIR»/build-deb/src/mklibs-readelf'
make[3]: *** [all-recursive] Error 1
make[2]: *** [all-recursive] Error 1
make[1]: *** [all] Error 2
dh_auto_build: make -j1 returned exit code 2
make[3]: Leaving directory `/«PKGBUILDDIR»/build-deb/src'
make[2]: Leaving directory `/«PKGBUILDDIR»/build-deb'
make[1]: Leaving directory `/«PKGBUILDDIR»/build-deb'
make: *** [build-arch] Error 2
dpkg-buildpackage: error: debian/rules build-arch gave error exit status 2




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#667282; Package mklibs. (Thu, 05 Apr 2012 00:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 05 Apr 2012 00:21:05 GMT) Full text and rfc822 format available.

Message #10 received at 667282@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 667282@bugs.debian.org
Subject: Re: Bug#667282: mklibs: ftbfs with GCC-4.7
Date: Thu, 5 Apr 2012 02:16:48 +0200
[Message part 1 (text/plain, inline)]
tag 667282 patch
thanks

Matthias Klose <doko@debian.org> (03/04/2012):
> Package: mklibs
> Version: 0.1.33
> Severity: important
> Tags: sid wheezy
> User: debian-gcc@lists.debian.org
> Usertags: ftbfs-gcc-4.7

Here's a patch for this FTBFS. No intent to NMU.

Mraw,
KiBi.
[mklibs+nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Thu, 05 Apr 2012 00:21:06 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 07 May 2012 16:51:34 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Tue, 08 May 2012 13:57:49 GMT) Full text and rfc822 format available.

Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Tue, 08 May 2012 15:46:01 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Tue, 08 May 2012 15:46:01 GMT) Full text and rfc822 format available.

Message #21 received at 667282-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 667282-close@bugs.debian.org
Subject: Bug#667282: fixed in mklibs 0.1.34
Date: Tue, 08 May 2012 15:32:24 +0000
Source: mklibs
Source-Version: 0.1.34

We believe that the bug you reported is fixed in the latest version of
mklibs, which is due to be installed in the Debian FTP archive:

mklibs-copy_0.1.34_i386.deb
  to main/m/mklibs/mklibs-copy_0.1.34_i386.deb
mklibs_0.1.34.dsc
  to main/m/mklibs/mklibs_0.1.34.dsc
mklibs_0.1.34.tar.gz
  to main/m/mklibs/mklibs_0.1.34.tar.gz
mklibs_0.1.34_all.deb
  to main/m/mklibs/mklibs_0.1.34_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 667282@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated mklibs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 08 May 2012 16:17:59 +0100
Source: mklibs
Binary: mklibs mklibs-copy
Architecture: source all i386
Version: 0.1.34
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 mklibs     - Shared library reduction script
 mklibs-copy - Shared library reduction script
Closes: 667282
Changes: 
 mklibs (0.1.34) unstable; urgency=low
 .
   [ Cyril Brulebois ]
   * Fix FTBFS with gcc 4.7 due to missing <unistd.h> include (closes:
     #667282).
 .
   [ Adam Conrad ]
   * Ignore claims of NEEDED *@ld-linux.so.3 symbols, as this completely
     confuses armhf's double linker situation, and doing so doesn't
     break armel (or anything else with a linker by that SONAME), as
     linkers are treated specially and copied anyway (LP: #984007)
Checksums-Sha1: 
 5c074f5378e48811d261fa68f04c8b8a167ab5a5 1807 mklibs_0.1.34.dsc
 c3b18355ed49eb387b28577e677bcad5d884020b 136117 mklibs_0.1.34.tar.gz
 00a0fbf3b761797a87174334ce2f05e76fa32cc9 14200 mklibs_0.1.34_all.deb
 af73a5137b9a5918a9a35ea537d634fc8f234b10 45508 mklibs-copy_0.1.34_i386.deb
Checksums-Sha256: 
 4ea4a473a67c2c2ef48faceff09a9218ff7cd55cab804a455eb9a3522a89e5d0 1807 mklibs_0.1.34.dsc
 0c13c314f5c397529f58a5a02d57d83aeb4463d6a0d80b9374c6576ec37ed39f 136117 mklibs_0.1.34.tar.gz
 42e0a218e82852968987f0fc7ae2a8a858f955cb56aa4a9898c250ffe7f28f34 14200 mklibs_0.1.34_all.deb
 9fb89991af8da6d35e77ce9a66a3854178740e4f08a1e010dd077aeb0fda6a18 45508 mklibs-copy_0.1.34_i386.deb
Files: 
 41764d124492dbc867130d667dba6121 1807 devel optional mklibs_0.1.34.dsc
 afe0ed527ba96b8a882b5de350603007 136117 devel optional mklibs_0.1.34.tar.gz
 90acabb067160138ecec57541e020f30 14200 devel optional mklibs_0.1.34_all.deb
 29a14ef71b7f5876a794c5ada169c4d9 45508 devel optional mklibs-copy_0.1.34_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iQIVAwUBT6k64zk1h9l9hlALAQj5Qw//ejlXJqLlcWpKcbJo1MrzVH2rwwTzeK+G
/wmnChu/DUVId1GW/bAocLdZwwnT3XLDhUD3ou9+zHZEF+h/+pVc4F/OXm6ggdYv
yMkqifG4b1RyRGL2Wsy4Gm82je5T/zPpXpYfIgcdVBOjVlvloXIZ9crYGCl1gv4A
sKR/TVpWcAUdDbVuVhgs0+Y+Wihzb50tS986yfRUW1pVQgg0JJ1JvsOc0FP2xx2r
zM2VebIvXaO7C8hYDTjw8dxu1o/32SHkJYGtQq5NFixEKkqebyUK9HTj45HLN7lh
xSCB8yRFyPt17OXJkVNfkzbIYt6BImeOUgZh+gh4kauYAXZrM7K5HTvcQHWMlOzG
PeulEyf0Fd4QkfZ466Gaec3azWU0XjUHhoMW3ZzaIJNyvRD/xq6eZskWDPJi2Ipi
yhyas8+1sDWm6CC0NKk/8KTaiSGDd6yqf0YV215tZ+TIlpCL0eHkyYXHZQHAITBp
cW/6IDksQtWa7xctu4kfYOHG4nrIqqlNNViBtl+ACpdF6AQ777IGwgWvDIHpz1nw
z1Zt+qbajaz2Lzg/901qWPrbiA1Oi8ul2WuPFPHbgmhmAzIs4rbPaIOGIP4QtjDA
RgAW34wR6mP5Ng1kuUXytB8l5c/mlDY465NZdENAnBvXHsi2bxr3LZWCs8+7YESj
ji13cDFiibA=
=Pk6K
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 16 Jun 2012 07:47:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 07:51:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.